Group Admins

  • Profile picture of Karim
  • Profile picture of Jean

OpenMusic

Public Group active 15 hours, 50 minutes ago

User group for OpenMusic and computer-aided composition. Visit the Forum for discussions.

User libraries in OM 6.6.1

Author 2 Subscribed Users |
Profile photo of ruben_gjertsen
ruben_gjertsen

I’m have similar problems with other libraries in OM 6.6.1, which prevents me from opening my old workspace. Here is what happens:

Error while loading the library OM-Spat:
“The variable *osc* is unbound.”

Moving Om-Spat 2.1 out of the folder, restarting OM.

Error while loading the library OMChroma: “Lambda list (value) is not congruent with lambda list (value object) of #standared-generic-function special-keyword-index 216E754A.”

Moving OMChroma 3.1 out of the folder, restarting OM.

Error while loading the library chroma-classes: “Undefined operator get-orc-source in form (get-orc-source (get-orc \”add-a1\”)).”

Removing all content of libraries folder.

Error while loading the library chroma-classes: “Undefined operator get-orc-source in form (get-orc-source (get-orc \”add-a1\”)).”

I could try hacking into the code, but there are no libraries left in the folder, and this still happens. Does OM 6.6.1 also search for libraries in the OM 6.5.1 folder?

 

Best,

Ruben

 

April 9, 2013 at 00:53 #4561
Profile photo of Jean
Jean

Hello, there are a couple of issues going on here,

  • OM-Spat: use OM-Spat 2.3 distributed on this website with OM 6.6 (or 6.6.1)
  • OMChroma: use OMChroma 4.0/4.1 with OM 6.6
  • Don’t use the “chroma-classes” library (=> trash). It’s contents is now merged in the recent OMChroma libraries
  • No libraries in OM 6.6.1: this is an error in the package. I can not update it easily in the download system for the moment, so I will post a new update (6.6.2) soon. Meanwhile, you can dowload OM 6.6 in the “archive” page in order to fix your libraries problem.

btw, generally speaking I don’t recommend to systematically select all (or too many) libraries to automatically load at startup (which seems to be your case). This is likely to trigger conflicts or loading errors (like these ones) which are easier to detect and solve if the libraries are loaded individually (and you wouldn’t need to move the libraries in and out of the folder).

Best regards,

Jean

April 9, 2013 at 08:41 #4564
Profile photo of Jean
Jean

No libraries in OM 6.6.1: this is an error in the package. I can not update it easily in the download system for the moment, so I will post a new update (6.6.2) soon. Meanwhile, you can dowload OM 6.6 in the “archive » page in order to fix your libraries problem.

=> The 6.6.2 update is now available

Jean

April 19, 2013 at 11:59 #4676

You must be logged in to reply to this topic.

Log in now